
Smart Proxy - Refactor #27047

Remove deprecated dns_find and passing IPs to ptr_record_conflicts

06/13/2019 12:51 PM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee:    

Category: DNS   

Target version: 1.23.0   

Difficulty:  Fixed in Releases: 1.23.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

dns_find was deprecated in 1.14 and passing IPs to ptr_record_conflicts in 1.16. Sufficient time has passed to remove them. I've

manually verified the DNS plugins under theforeman organization and I'm not aware of other implementations.

Associated revisions

Revision 5427599d - 06/14/2019 07:53 AM - Ewoud Kohl van Wijngaarden

Fixes #27047 - Remove dns_find and clean up ptr_record_conflicts

78da2d1ef03ac150812226946ac1ec546838624c (1.14) deprecated dns_find.

bfbdeeb90e344ee8b0c9950f85b159035d9cbfbe (1.16) deprecated passing IPs

to ptr_record_conflicts in 1.16. There was no clear deprecation

timeline, but sufficient time has passed to remove them. I've manually

verified the DNS plugins under theforeman organization and I'm not aware

of other implementations.

History

#1 - 06/14/2019 08:02 AM - Ewoud Kohl van Wijngaarden

- Status changed from New to Closed

Applied in changeset 5427599db2fbf258d7513260e852ad44ee41ef2c.
